#!/bin/bash

# this bash script is meant to run on windows
# for example try this in the MINGW environment
# that installs with Git for Windows.

VBOXMANAGE=/c/progra~1/Oracle/VirtualBox/VBoxManage.exe
VM=repro13583

# we need a small, simple guest image
# tinycorelinux will work fine for that

if [ ! -e core.iso ]
then
    curl -X GET http://distro.ibiblio.org/tinycorelinux/5.x/x86/release/Core-current.iso -o core.iso
fi

# create a basic vm with the iso attached

$VBOXMANAGE createvm --name $VM --register
$VBOXMANAGE modifyvm $VM --ostype Linux_64 --memory 512
$VBOXMANAGE storagectl $VM --add ide --name IDE --controller PIIX4
$VBOXMANAGE storageattach $VM --storagectl IDE --type dvddrive --device 1 --port 0 --medium core.iso


# launch and wait for the vm to boot up
$VBOXMANAGE startvm $VM
sleep 60

# this "showvminfo" triggers the bug
$VBOXMANAGE controlvm $VM savestate
$VBOXMANAGE showvminfo $VM

# vboxmanage.exe will crash at this point
